package com.cf.imes.module.executor.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ProcessTypeEnum {

    TYPE_ZERO(0, "全部加工"),
    TYPE_ONE(1, "开料"),
    TYPE_TWO(2, "部件加工"),
    TYPE_THREE(3, "异形封边"),
    TYPE_FOUR(4, "分堆"),
    TYPE_FIVE(5, "打包"),
    TYPE_SIX(6, "出库"),
    TYPE_SEVEN(7, "组件加工"),
    TYPE_EIGHT(8, "板材");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(ProcessTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }
}
